/******************************************************************************
// COPYRIGHT    : ソニー株式会社
// DIVISION     : DTNC CSED
// AUTHOR       : NJK 
// FILENAME     : ApiBrewWim.h
//
// @(s) CONTENT : BREW Wim制御
//
// FUNCTION		: 
//
// VERSION      : $Revision:$
// HISTORY      : -------- 概要 -----------------------------------------------
//
//	PTX-804 BREW-20050328001 NJK 牧瀬 宏壽
//		新規作成
******************************************************************************/


/*****************************************************************************/
/*          インクルードファイル                                             */
/*****************************************************************************/
#include "AEESSL.h"
#include "wim.h"

extern void ApiBrewWim_getClientCert(const SSLSecurityInfo *,IWebOpts *,const IWebOpts *,const byte *,AEECallback  *,int *);
extern void ApiBrewWim_encrypt(const byte *,int,byte *,int *,int,uint32 *,AEECallback *);
extern void ApiBrewWim_BeginProcess(void *,WIM_TChannelNumber);
extern void ApiBrewWim_EndProcess(void *);
extern void ApiBrewWim_setSignData(void *,const char *, unsigned int);
extern int ApiBrewWim_CacheClientCerts(void *,WIM_TRootCertificate *,unsigned int,WIM_TInputData,WIM_TResult *,WIM_TCallback);
extern int ApiBrewWim_GetSelectedCert(void *,WIM_TClientCertificateInfo *);
